❖ MatchMove Banking API Specifications

Sections

Theme switcher

List Statuses

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance transaction. Returned in the id field from POST /{program_code}/v2/users/wallets/payouts/remittances/transactions. This identifier is valid for both user-scoped (/v2/users/...) and admin-scoped (/v2/oauth/...) paths.

Response

200
Object

OK

Response Attributes

idstring

Transaction Identifier Reference

recipient_idstring

Recipient id used in remittance transaction

recipient_typestring

Recipient Type used in transaction

Enum values:
INDIVIDUALBUSINESS
user_idstring

User who initiated remittance transaction

user_typestring

Type of user who initiated remittance transaction.

Enum values:
INDIVIDUALBUSINESS
quote_idstring

Id of quote used in remittance transaction

statusstring

Status of the transaction

Default value
INITIATED
Enum values:
INITIATEDPROCESSINGSUBMITTEDPENDINGSUCCESSREJECTEDCANCELLEDFAILEDUNDER_REVIEWREVERSED
... 1 other enums
sub_statusstring

Transaction sub status. Learn more about transaction sub_status at [Link](docs/Guides/Payouts/Cross Border Payouts/Cross Border Payout Transaction.md) under section Handle Transaction Statuses

Enum values:
USER_STATUS_ACTIVEUSER_STATUS_INACTIVEUSER_STATUS_CHECK_FAILEDRECIPIENT_RISK_PENDINGRECIPIENT_RISK_REJECTEDRECIPIENT_RISK_CHECK_COMPLETEFUNDS_DEBIT_SUCCESSFUNDS_DEBIT_FAILEDFUNDS_REVERSEDTRANSACTION_INITIATED
... 13 other enums
messagestring

Transaction Message

Default value
Request Received, Processing Started
sourcestring

Contains service provider validation source after submission in JSON. This field can be empty and may be omitted if no validation errors provided for a transaction.

created_atstring

Date and time of remittance transaction initiated.

created_bystring

Id of user who initiated remittance transaction.

updated_atstring

Date and time of update happened on remittance transaction.

201
Object

Created

Response Attributes

idstring

Transaction Identifier Reference

recipient_idstring

Recipient id used in remittance transaction

recipient_typestring

Recipient Type used in transaction

Enum values:
INDIVIDUALBUSINESS
user_idstring

User who initiated remittance transaction

user_typestring

Type of user who initiated remittance transaction.

Enum values:
INDIVIDUALBUSINESS
quote_idstring

Id of quote used in remittance transaction

statusstring

Status of the transaction

Default value
INITIATED
Enum values:
INITIATEDPROCESSINGSUBMITTEDPENDINGSUCCESSREJECTEDCANCELLEDFAILEDUNDER_REVIEWREVERSED
... 1 other enums
sub_statusstring

Transaction sub status. Learn more about transaction sub_status at [Link](docs/Guides/Payouts/Cross Border Payouts/Cross Border Payout Transaction.md) under section Handle Transaction Statuses

Enum values:
USER_STATUS_ACTIVEUSER_STATUS_INACTIVEUSER_STATUS_CHECK_FAILEDRECIPIENT_RISK_PENDINGRECIPIENT_RISK_REJECTEDRECIPIENT_RISK_CHECK_COMPLETEFUNDS_DEBIT_SUCCESSFUNDS_DEBIT_FAILEDFUNDS_REVERSEDTRANSACTION_INITIATED
... 13 other enums
messagestring

Transaction Message

Default value
Request Received, Processing Started
sourcestring

Contains service provider validation source after submission in JSON. This field can be empty and may be omitted if no validation errors provided for a transaction.

created_atstring

Date and time of remittance transaction initiated.

created_bystring

Id of user who initiated remittance transaction.

updated_atstring

Date and time of update happened on remittance transaction.

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?